package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStoreProductCategory;
import com.fs.his.vo.FsStoreProductCategoryVO;
import com.fs.his.vo.FsStoreProductCategorysVO;
import com.fs.his.vo.OptionsVO;

/**
 * 商品分类Service接口
 *
 * @author fs
 * @date 2023-06-08
 */
public interface IFsStoreProductCategoryService
{
    /**
     * 查询商品分类
     *
     * @param cateId 商品分类主键
     * @return 商品分类
     */
    public FsStoreProductCategory selectFsStoreProductCategoryByCateId(Long cateId);

    /**
     * 查询商品分类列表
     *
     * @param fsStoreProductCategory 商品分类
     * @return 商品分类集合
     */
    public List<FsStoreProductCategory> selectFsStoreProductCategoryList(FsStoreProductCategory fsStoreProductCategory);
    public List<FsStoreProductCategoryVO> selectFsStoreProductCategoryListVO(FsStoreProductCategory fsStoreProductCategory);
    /**
     * 新增商品分类
     *
     * @param fsStoreProductCategory 商品分类
     * @return 结果
     */
    public int insertFsStoreProductCategory(FsStoreProductCategory fsStoreProductCategory);

    /**
     * 修改商品分类
     *
     * @param fsStoreProductCategory 商品分类
     * @return 结果
     */
    public int updateFsStoreProductCategory(FsStoreProductCategory fsStoreProductCategory);

    /**
     * 批量删除商品分类
     *
     * @param cateIds 需要删除的商品分类主键集合
     * @return 结果
     */
    public int deleteFsStoreProductCategoryByCateIds(Long[] cateIds);

    /**
     * 删除商品分类信息
     *
     * @param cateId 商品分类主键
     * @return 结果
     */
    public int deleteFsStoreProductCategoryByCateId(Long cateId);

    List<OptionsVO> selectFsStoreProductPidList();

    List<OptionsVO> selectFsStoreProductCategoryOptionsVO();

    List<FsStoreProductCategorysVO> selectFsStoreProductCategorysVOList();

    List<FsStoreProductCategoryVO> getPidList();
}
